Inicio / Alerta Temprana / Vulnerabilidades / CVE-2021-27736

Vulnerabilidad en una AuthnRequest o LogoutRequest en FusionAuth fusionauth-samlv2 (CVE-2021-27736)

Tipo: 
Restricción incorrecta de referencia a entida externa XML (XXE)
Gravedad: 
Media
Fecha publicación : 
22/04/2021
Última modificación: 
27/04/2021
Descripción
FusionAuth fusionauth-samlv2 versiones anteriores a 0.5.4, permite ataques de tipo XXE a través de un AuthnRequest o LogoutRequest falsificada porque parseFromBytes usa javax.xml.parsers.DocumentBuilderFactory de manera no segura
Impacto
Vector de acceso: A través de red
Complejidad de Acceso: Baja
Autenticación: No disponible
Tipo de impacto: No hay impacto en la integridad del sistema + Afecta parcialmente a la confidencialidad del sistema + No hay impacto en la disponibilidad del sistema
Productos y versiones vulnerables
  • cpe:2.3:a:fusionauth:saml_v2:*:*:*:*:*:*:*:*
Para consultar la lista completa de productos y versiones ver esta página
Explicación de los campos